package com.ebei.device.asset.weixin.auth;

import com.ebei.device.asset.weixin.model.entity.AssetTenantUser;
import lombok.Data;
import java.util.Date;
import java.util.List;

@Data
public class AuthUser {
	
	private AssetTenantUser user;
	
	private Long userId;//用户ID
	
	private String userName;//用户名
	
	private String token;//登录的token
	
	private Date expiredTime;//token失效时间
	
	private String refreshToken;//刷新Token
	
	private Date refreshExpiredTime;//刷新Token

	private Long companyId;//所属公司信息
	
	private Long areaId;//所属区域id

	private Long tenantId;

	private String tenantName;

	private List<Long> assetIdList;

}
