package com.ebei.device.asset.weixin.mapper;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.ebei.device.asset.weixin.model.entity.AssetProposal;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 资产管护租户建议反馈
 * @Description : AssetProposalMapper
 */
@Repository
public interface AssetProposalMapper extends BaseMapper<AssetProposal> {


    //获取投诉管理分页列表
    List<AssetProposal> selectAssetProposalList(Page<AssetProposal> page, @Param("params") Map<String, Object> params);
}
