package com.ebei.device.asset.weixin.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.ebei.device.asset.weixin.model.entity.AssetProposal;

import java.util.Map;

/**
 * <p>
 * 资产管护租户建议反馈 服务类
 * </p>
 *
 */
public interface AssetProposalService extends IService<AssetProposal> {


    /**
     * 新增建议反馈
     * @param assetProposal
     * @return
     */
    AssetProposal saveAssetProposal(AssetProposal assetProposal);

    /**
     * 获取投诉管理分页列表
     * @param page
     * @param params
     * @return
     */
    Page<AssetProposal> selectAssetProposalList(Page<AssetProposal> page, Map<String, Object> params);

    /**
     * 修改投诉处理状态
     * @param proposalId
     */
    void updateProposalState(Long proposalId);

}
