package com.ebei.device.asset.weixin;


import com.ebei.device.asset.weixin.util.HttpRequestUtils;
import org.apache.http.HttpResponse;
import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.rendering.PDFRenderer;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import org.springframework.util.Base64Utils;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.*;
import java.util.*;

@SpringBootTest
class DeviceAssetWeixinApplicationTests {

    @Test
    void contextLoads() {

        UUID uuid = UUID.randomUUID();
        System.out.println(uuid);
    }

    @Test
    public void pdfToImge( ) throws Exception {

        HttpResponse response = null;

        InputStream inputStream = HttpRequestUtils.getUrlConnection("http://101.200.225.123/device/assetApp/createHardwareWebPDF/6896?preView=true", 1024*1024).getInputStream();
//        InputStream content = new FileInputStream("C:\\usr\\aaaa.pdf");
        PDDocument pdDocument = PDDocument.load(inputStream);
        int pageCount = pdDocument.getNumberOfPages();
        PDFRenderer pdfRenderer = new PDFRenderer(pdDocument);

        List<Map<String, Object>> resultinfo = new ArrayList<Map<String, Object>>();
        Map<String, Object> obj = null;
        for (int pageIndex = 0; pageIndex < pageCount; pageIndex++) {
        // BufferedImage imageb = pdfRenderer.renderImageWithDPI(pageIndex, 105, ImageType.RGB);
        // 第二个参数数字越大越清晰
            BufferedImage bufferedImage = null;
            try {
                bufferedImage = pdfRenderer.renderImageWithDPI(pageIndex, 150);
                ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
                ImageIO.write(bufferedImage, "jpg", outputStream);// 写入流
                FileOutputStream fileOutputStream = null;
                fileOutputStream = new FileOutputStream("c:\\usr\\imgeTest\\"+System.currentTimeMillis()+".jpg");
                fileOutputStream.write(outputStream.toByteArray());

                obj = new HashMap<String, Object>();
                obj.put("index", pageIndex);
                obj.put("pic", Base64Utils.encodeToString(outputStream.toByteArray()));
                resultinfo.add(obj);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        pdDocument.close();
    }


}
