package com.ebei.device.asset.weixin.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Auther: yangsm
 * @Date: 2018/12/19 0019
 */
@Data
@Component
@ConfigurationProperties(prefix = "comm")
public class CommProperties {

    private  String fileRoot;//当前服务存储文件路径根目录
    
    private  String baseInfoRoot = "/data/micro-service/file";//基础信息Rest接口根路径url

    private String fileServer;//文件服务器地址

    private String[] whiteList;

}
