package com.ebei.device.asset.weixin.mapper;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.ebei.device.asset.weixin.model.entity.AssetTenantUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import java.util.List;
import java.util.Map;

/**
 * 资产管护租户账号信息
 * @Description : AssetTenantUserMapper
 */
@Repository
public interface AssetTenantUserMapper extends BaseMapper<AssetTenantUser> {


    //获取租户账号分页列表
    List<AssetTenantUser> selectAssetTenantUserList(Page<AssetTenantUser> page, @Param("params") Map<String, Object> params);
}
