
package com.ebei.device.asset.weixin.model.entity;



import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;


/**
 * <p>
 * 资产管护租户账号与资产关联信息
 * </p>
 *
 */
@Data
@TableName("tbg_asset_user")
@ApiModel("资产管护租户账号与资产关联信息")
public class AssetUser extends Model<AssetUser> {

    @ApiModelProperty(value="主键Id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("user_id")
    @ApiModelProperty("账号id")
    private Long userId;

    @TableField("asset_id")
    @ApiModelProperty("资产id")
    private Long assetId;

    @TableField("asset_name")
    @ApiModelProperty("资产名称")
    private String assetName;






    @Override
    protected Serializable pkVal() {return null;}
	

}
